ru.bitel.bgbilling.modules.mps.server.events

## Class MPSBeforePaymentEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.mps.server.events.MPSBeforePaymentEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class MPSBeforePaymentEvent
      extends LocalEvent

  Синхронное событие, которое вызывается перед добавлением платежа в модуле MPS. В обработчике события возможно изменение суммы.
  Author:
    reflexive
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MPSBeforePaymentEvent(int mid, java.math.BigDecimal sum)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getPaymentSum()` Получение суммы платежа в виде 123.45
    `void` | `setPaymentSum(java.math.BigDecimal paymentSum)` Установка суммы платежа.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MPSBeforePaymentEvent

          public MPSBeforePaymentEvent(int mid,
                                       java.math.BigDecimal sum)

  - ### Method Detail

    - #### getPaymentSum

          public java.math.BigDecimal getPaymentSum()

      Получение суммы платежа в виде 123.45
      Returns:
        сумма платжа

    - #### setPaymentSum

          public void setPaymentSum(java.math.BigDecimal paymentSum)

      Установка суммы платежа.
      Parameters:
        `paymentSum` - измененная сумма платежа